Bug 1015109 - No reevaluation of 'from collect' is performed
No reevaluation of 'from collect' is performed
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: BRE (Show other bugs)
6.0.0
x86_64 Windows
high Severity urgent
: ER5
: 6.0.0
Assigned To: Mario Fusco
Tomas David
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 09:11 EDT by Richard Bourner
Modified: 2014-08-06 16:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:17:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Maven Eclipse project demonstrating the issue (33.34 KB, application/x-zip-compressed)
2013-10-03 09:11 EDT, Richard Bourner
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker DROOLS-281 Critical Resolved no reevaluation of 'from collect' is performed 2015-07-13 07:34:13 EDT

  None (edit)
Description Richard Bourner 2013-10-03 09:11:24 EDT
Created attachment 807080 [details]
Maven Eclipse project demonstrating the issue

Description of problem:
Using Drools 6.0.0.CR4, a problem has been found related to reevaluation of a condition that contains a 'from collect' statement.
A unit test is provided demonstrating the issue using 2 rules. This unit test works fine using 6.0.0.Beta2.

Version-Release number of selected component (if applicable):
6.0.0.CR4

How reproducible:
Run the unit test in the attached project.
2 POM are provided:
- 1 for 6.0.0.Beta2 : no problem with this one
- 1 for 6.0.0.CR4 that reproduces the problem

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 JBoss JIRA Server 2013-10-04 05:51:08 EDT
Richard Bourner <richard@bourner.fr> made a comment on jira DROOLS-281

Additional information: it seems like the problem starts occuring for Beta3.
Comment 3 JBoss JIRA Server 2013-10-04 10:44:29 EDT
Mario Fusco <mario.fusco@gmail.com> made a comment on jira DROOLS-281

I found that this problem is reproducible with rete but it works as expected with phreak.
I also suspect this is not a regression, but more likely you were using phreak when you tested this issue with the Beta2. Please confirm.
Comment 4 Mario Fusco 2013-10-04 11:58:07 EDT
Fixed by https://github.com/droolsjbpm/drools/commit/d1a1fa06a
Comment 5 JBoss JIRA Server 2013-10-04 11:58:35 EDT
Mario Fusco <mario.fusco@gmail.com> updated the status of jira DROOLS-281 to Resolved
Comment 6 Tomas David 2013-12-11 03:43:02 EST
Verified on BRMS 6.0.0.ER5.

Note You need to log in before you can comment on or make changes to this bug.